Bug 602221 - libunixfile_1_0_0.so is owned by both rcp and platform
libunixfile_1_0_0.so is owned by both rcp and platform
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Aniszczyk
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-09 08:30 EDT by Andrew Overholt
Modified: 2014-07-25 01:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-06 05:47:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Overholt 2010-06-09 08:30:53 EDT
The liblocalfile_1_0_0 JNI shared library is owned by both the -rcp and -platform binary RPMs.  Ideally it would only be owned by the -rcp package.  This is just something in the %files section, I presume.
Comment 1 Bug Zapper 2010-07-30 08:04:50 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Alexander Kurtakov 2010-08-25 07:09:25 EDT
so file has been renamed to libunixfile since Eclipse 3.6.
Comment 3 Fedora Admin XMLRPC Client 2010-08-31 11:58:48 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Alexander Kurtakov 2010-11-01 11:25:52 EDT
Chris, 
Please fix this.
Comment 5 Alexander Kurtakov 2011-03-31 08:50:57 EDT
Chris, 
Please take a look at this issue too while looking at the dropins problem.
Comment 6 Chris Aniszczyk 2011-03-31 11:22:03 EDT
It turns out, there's some more files owned by both...


/usr/lib/eclipse/configuration/org.eclipse.osgi/bundles/143/1/.cp/os/linux/x86/libupdate.so
/usr/lib/eclipse/configuration/org.eclipse.osgi/bundles/28/1/.cp/os/linux/x86/libunixfile_1_0_0.so
/usr/lib/eclipse/configuration/org.eclipse.osgi/bundles/31/1/.cp/libgnomeproxy-1.0.0.so

Should those libraries just be owned by eclipse-platform?
Comment 7 Andrew Overholt 2011-03-31 11:27:12 EDT
(In reply to comment #6)
> It turns out, there's some more files owned by both...
> 
> 
> /usr/lib/eclipse/configuration/org.eclipse.osgi/bundles/143/1/.cp/os/linux/x86/libupdate.so
> /usr/lib/eclipse/configuration/org.eclipse.osgi/bundles/28/1/.cp/os/linux/x86/libunixfile_1_0_0.so
> /usr/lib/eclipse/configuration/org.eclipse.osgi/bundles/31/1/.cp/libgnomeproxy-1.0.0.so
> 
> Should those libraries just be owned by eclipse-platform?

They should be owned by whichever plugin matches that bundle ID.  Taking bundle 143 as an example, I think this is org.eclipse.update.  If org.eclipse.update is in the platform feature, then the %files section for the platform sub-package should contain an entry something like:

%{_libdir}/%{name}/configuration/org.eclipse.osgi/bundles/143

This will own that directory and all of its contents.
Comment 8 Chris Aniszczyk 2011-03-31 11:29:19 EDT
swt and rcp also have these in common... assuming thi sis a bug also?

/usr/lib/eclipse/configuration/org.eclipse.osgi/bundles/114/1/.cp/libswt-atk-gtk-3655.so
/usr/lib/eclipse/configuration/org.eclipse.osgi/bundles/114/1/.cp/libswt-awt-gtk-3655.so
/usr/lib/eclipse/configuration/org.eclipse.osgi/bundles/114/1/.cp/libswt-cairo-gtk-3655.so
/usr/lib/eclipse/configuration/org.eclipse.osgi/bundles/114/1/.cp/libswt-glx-gtk-3655.so
/usr/lib/eclipse/configuration/org.eclipse.osgi/bundles/114/1/.cp/libswt-gnome-gtk-3655.so
/usr/lib/eclipse/configuration/org.eclipse.osgi/bundles/114/1/.cp/libswt-gtk-3655.so
/usr/lib/eclipse/configuration/org.eclipse.osgi/bundles/114/1/.cp/libswt-pi-gtk-3655.so
/usr/lib/eclipse/configuration/org.eclipse.osgi/bundles/114/1/.cp/libswt-xpcominit-gtk-3655.so
/usr/lib/eclipse/configuration/org.eclipse.osgi/bundles/114/1/.cp/libswt-xulrunner-gtk-3655.so
Comment 9 Andrew Overholt 2011-03-31 11:35:59 EDT
(In reply to comment #8)
> swt and rcp also have these in common... assuming thi sis a bug also?

Yes.
Comment 10 Chris Aniszczyk 2011-03-31 12:38:52 EDT
Any idea what in rcp could be causing the %files to be added? I'm spinning my wheels a bit as I'm not sure of a better way to do debug this than combing over the .spec file

%files rcp
%defattr(-,root,root)
%dir %{_libdir}/%{name}/features
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/features
%dir %{_datadir}/%{name}/plugins
%if %{initialize}
%{_libdir}/%{name}/configuration/org.eclipse.osgi/.bundledata*
%{_libdir}/%{name}/configuration/org.eclipse.osgi/.lazy*
%{_libdir}/%{name}/configuration/org.eclipse.osgi/.manager
%{_libdir}/%{name}/configuration/org.eclipse.osgi/.state*
%endif
%if %{bootstrap}
%{_libdir}/%{name}/plugins/com.ibm.icu_*
%endif
%config %{_libdir}/%{name}/configuration
%config %{_libdir}/%{name}/configuration/config.ini
%config %{_libdir}/%{name}/configuration/org.eclipse.equinox.simpleconfigurator/bundles.info
%dir %{_libdir}/%{name}/configuration/org.eclipse.equinox.simpleconfigurator
%{_libdir}/%{name}/notice.html
%{_libdir}/%{name}/epl-v10.html
%{_libdir}/%{name}/links
%ifnarch ppc ppc64
%{_libdir}/%{name}/about.html
%endif
%ifarch x86_64
%{_libdir}/%{name}/about_files
%endif
%{_libdir}/%{name}/readme
%{_libdir}/%{name}/startup.jar
%{_libdir}/%{name}/features/org.eclipse.rcp_*
%{_libdir}/%{name}/plugins/org.eclipse.core.commands_*
%{_libdir}/%{name}/plugins/org.eclipse.core.contenttype_*
%{_libdir}/%{name}/plugins/org.eclipse.core.databinding_*
%{_libdir}/%{name}/plugins/org.eclipse.core.databinding.beans_*
%{_libdir}/%{name}/plugins/org.eclipse.core.databinding.observable_*
%{_libdir}/%{name}/plugins/org.eclipse.core.databinding.property_*
%{_libdir}/%{name}/plugins/org.eclipse.core.expressions_*
%{_libdir}/%{name}/plugins/org.eclipse.core.jobs_*
%{_libdir}/%{name}/plugins/org.eclipse.core.runtime_*
%{_libdir}/%{name}/plugins/org.eclipse.core.runtime.compatibility.auth_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.app_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.common_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.ds_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.launcher_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.launcher.gtk.linux.%{eclipse_arch}_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.preferences_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.registry_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.util_*
%{_libdir}/%{name}/plugins/org.eclipse.help_*
%{_libdir}/%{name}/plugins/org.eclipse.jface_*

%{_libdir}/%{name}/plugins/org.eclipse.core.databinding.observable_*
%{_libdir}/%{name}/plugins/org.eclipse.core.databinding.property_*
%{_libdir}/%{name}/plugins/org.eclipse.core.expressions_*
%{_libdir}/%{name}/plugins/org.eclipse.core.jobs_*
%{_libdir}/%{name}/plugins/org.eclipse.core.runtime_*
%{_libdir}/%{name}/plugins/org.eclipse.core.runtime.compatibility.auth_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.app_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.common_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.ds_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.launcher_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.launcher.gtk.linux.%{eclipse_arch}_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.preferences_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.registry_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.util_*
%{_libdir}/%{name}/plugins/org.eclipse.help_*
%{_libdir}/%{name}/plugins/org.eclipse.jface_*
%{_libdir}/%{name}/plugins/org.eclipse.jface.databinding_*
%{_libdir}/%{name}/plugins/org.eclipse.osgi_*
%{_libdir}/%{name}/plugins/org.eclipse.rcp_*
%{_libdir}/%{name}/plugins/org.eclipse.ui_*
%{_libdir}/%{name}/plugins/org.eclipse.ui.workbench_*
%{_libdir}/%{name}/plugins/org.eclipse.update.configurator_*
%{_libdir}/%{name}/plugins/org.eclipse.equinox.simpleconfigurator_*
Comment 11 Andrew Overholt 2011-03-31 12:43:10 EDT
(In reply to comment #10)
> Any idea what in rcp could be causing the %files to be added?
> 
> %config %{_libdir}/%{name}/configuration

I think that line ^
Comment 12 Alexander Kurtakov 2011-07-06 05:47:47 EDT
This looks fixed in latest eclipse build.

Note You need to log in before you can comment on or make changes to this bug.